using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using VaultClientIntegrationLib;
using VaultClientOperationsLib;
using System.IO;
using System.Xml;

namespace TestVault
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            MoreBasicSourceControl();
        }

        
        static void MoreBasicSourceControl()
        {
            string url = "http://vm-coyote/VaultService";
            string username = "admin";
            string password = "";
            string repository = "PerTracTest";

            // Set the login options and login/connect to a repository.
            ServerOperations.client.LoginOptions.URL = url;
            ServerOperations.client.LoginOptions.User = username;
            ServerOperations.client.LoginOptions.Password = password;
            ServerOperations.client.LoginOptions.Repository = repository;
            ServerOperations.Login();

            ServerOperations.client.AutoCommit = true;

            
            GetOptions getOptions = new GetOptions();
            // Exclusively check out a file.
            getOptions = new GetOptions();
            string filePath = "$/Whittaker Garnier/CMS Remote Response 2/Component/Release.txt";
            bool bExclusive = true;
            bool bGetLatest = true;
            ServerOperations.ProcessCommandCheckout(new string[] { filePath }, bExclusive, bGetLatest, getOptions);

            ServerOperations.ProcessCommandListChangeSet(new string[] { filePath });
            
            // Check in the file we just checked out, set the unchanged handler to check in the item (the default unchanged op is Undo Checkout).
            bool bKeepCheckedOut = false;
            ChangeSetItemColl csic = new ChangeSetItemColl();
            ServerOperations.client.Comment = "Checked In";
            ServerOperations.ProcessCommandCommit(new string[] { filePath }, UnchangedHandler.UndoCheckout   , bKeepCheckedOut, LocalCopyType.Replace,out csic  );
            ServerOperations.client.Comment = "";
            
            
        }

        
    }
}